Foxit PDF SDK

Instance Methods | Properties | List of all members
FSTiledWatermarkSettings Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor and set the default value. More...
(id) | - initWithRow_space:col_space:rotation:opacity:scale:flags:
| Constructor, with parameters. More...
(id) | - initWithSettings:
| Constructor, with another tiled watermark settings object. More...
(void) | - set:col_space:rotation:opacity:scale:flags:
| Set value. More...

## Properties
float | col_space
| The column spacing for multiple lines of tiled watermark. Its unit is inch and it can't be a negative number.
unsigned int | flags
| Watermark flags. More...
int | opacity
| Opacity in percents. Valid range: from 0 to 100. 0 for fully transparent and 100 for fully opaque.
float | rotation
| Rotation angle in degrees.
float | row_space
| The row spacing for multiple lines of tiled watermark. Its unit is inch and it can't be a negative number.
int | scale
| The image or page scale in percents. Valid range: from 1 to 100. 100 means the image or page is displayed at its original size. The default value is. More...

## Detailed Description

This class represents the watermark settings used to construct a tiled watermark from any supported resource.

## Method Documentation

## ◆ init()

- (id) init |  |  |

Constructor and set the default value.

By default, the watermark is not rotated and opacity is completely opaque, the row spacing and column spacing defaults to 2.0 inches. If it's an image or page watermark, display the original scale size.

## ◆ initWithRow_space:col_space:rotation:opacity:scale:flags:()

- (id) initWithRow_space: |  | (float) | row_space
col_space: |  | (float) | col_space
rotation: |  | (float) | rotation
opacity: |  | (int) | opacity
scale: |  | (int) | scale
flags: |  | (unsigned int) | flags

Constructor, with parameters.

The parameter scale doesn't support text tiled watermark, and will have no effect after setting.

Parameters

  [in] | row_space | The row spacing for multiple lines of tiled watermark. Its unit is inch and it can't be a negative number.
  [in] | col_space | The column spacing for multiple lines of tiled watermark. Its unit is inch and it can't be a negative number.
  [in] | rotation | Rotation angle in degrees.
  [in] | opacity | Opacity in percents. Valid range: from 0 to 100. 0 for fully transparent and 100 for fully opaque.
  [in] | scale | The image or page scale in percents. Valid range: from 0 to 100. 0 means not displayed, 100 means the image or page is displayed at its original scale size.
  [in] | flags | Watermark flags. Please refer to values starting from FSTiledWatermarkSettingsFlagAsPageContents and this can be one or a combination of these values. Default value: FSTiledWatermarkSettingsFlagAsPageContents.

## ◆ initWithSettings:()

- (id) initWithSettings: |  | (FSTiledWatermarkSettings*) | settings |

Constructor, with another tiled watermark settings object.

Parameters

  [in] | settings | Another tiled watermark settings object.

## ◆ set:col_space:rotation:opacity:scale:flags:()

- (void) set: |  | (float) | row_space
col_space: |  | (float) | col_space
rotation: |  | (float) | rotation
opacity: |  | (int) | opacity
scale: |  | (int) | scale
flags: |  | (unsigned int) | flags

Set value.

The parameter scale doesn't support text tiled watermark, and will have no effect after setting.

Parameters

  [in] | row_space | The row spacing for multiple lines of tiled watermark. Its unit is inch and it can't be a negative number.
  [in] | col_space | The column spacing for multiple lines of tiled watermark. Its unit is inch and it can't be a negative number.
  [in] | rotation | Rotation angle in degrees.
  [in] | opacity | Opacity in percents. Valid range: from 0 to 100. 0 for fully transparent and 100 for fully opaque.
  [in] | scale | The image or page scale in percents. Valid range: from 0 to 100. 0 means not displayed, 100 means the image or page is displayed at its original scale size.
  [in] | flags | Watermark flags. Please refer to values starting from FSTiledWatermarkSettingsFlagAsPageContents and this can be one or a combination of these values. Default value: FSTiledWatermarkSettingsFlagAsPageContents.

Returns
  None.

## Property Documentation

## ◆ flags

- (unsigned int) flags
| read write nonatomic assign

Watermark flags.

Please refer to values starting from FSTiledWatermarkSettingsFlagAsPageContents and this can be one or a combination of these values.
Default value: FSTiledWatermarkSettingsFlagAsPageContents.

## ◆ scale

- (int) scale
| read write nonatomic assign

The image or page scale in percents. Valid range: from 1 to 100. 100 means the image or page is displayed at its original size. The default value is.